version: '3.1'

services:

  db:
    image: postgres:13
    container_name: ea_postgresql
    restart: always
    environment:
      POSTGRES_DB: eauat
      POSTGRES_USER: eauat
      POSTGRES_PASSWORD: eauat123
    ports:
      - 5432:5432
    volumes:
      - ./data:/var/lib/postgresql/data
      - ./sql/:/docker-entrypoint-initdb.d/
    networks:
      - ea_net  
  adminer:
    image: adminer
    container_name: ea_postgresql_adminer
    restart: always
    ports:
      - 7080:8080
    networks:
      - ea_net 

networks:
  ea_net:
    external: true
